求助:python3-apt: 依赖关系问题 - 仍未被配置,怎么解决???

为当前最终发行版之前的所有版本提供支持
回复
头像
zhydyhm
帖子: 426
注册时间: 2008-10-19 10:38
送出感谢: 0
接收感谢: 0

求助:python3-apt: 依赖关系问题 - 仍未被配置,怎么解决???

#1

帖子 zhydyhm » 2013-04-21 18:57

1.png
头像
b33e
论坛版主
帖子: 3862
注册时间: 2011-06-07 14:20
系统: Mint18
送出感谢: 16 次
接收感谢: 62 次

Re: 求助:python3-apt: 依赖关系问题 - 仍未被配置,怎么解决???

#2

帖子 b33e » 2013-04-21 19:00

用新立德,有选项可以修复依赖关系
或者终端下执行

代码: 全选

sudo apt-get -f install
头像
zhydyhm
帖子: 426
注册时间: 2008-10-19 10:38
送出感谢: 0
接收感谢: 0

Re: 求助:python3-apt: 依赖关系问题 - 仍未被配置,怎么解决???

#3

帖子 zhydyhm » 2013-04-21 19:15

新立得没反应

终端下执行
zhy@zhy-EP45-DS3L:~$ sudo apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列软件包是自动安装的并且现在不需要了:
libhippocanvas-1-0 libjs-jquery-form libjs-underscore pwgen
python-hippocanvas
Use 'apt-get autoremove' to remove them.
升级了 0 个软件包,新安装了 0 个软件包, 要卸载 0 个软件包,有 1 个软件包未被升级。
有 2 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0 B 的额外空间。
正在设置 python3 (3.2.3-5ubuntu1.2) ...
running python rtupdate hooks for python3.2...
dpkg-query:警告:files list file for package 'checkbox' missing; assuming package has no files currently installed
dpkg-query:警告:files list file for package 'checkbox' missing; assuming package has no files currently installed
dpkg-query:警告:files list file for package 'onboard' missing; assuming package has no files currently installed
dpkg-query:警告:files list file for package 'onboard' missing; assuming package has no files currently installed
dpkg-query:警告:files list file for package 'screen-resolution-extra' missing; assuming package has no files currently installed
dpkg-query:警告:files list file for package 'screen-resolution-extra' missing; assuming package has no files currently installed
dpkg-query: package 'unity-lens-photos' is not installed
使用 dpkg --info (= dpkg-deb --info) 来检测打包好的文件,
还可以通过 dpkg --contents (= dpkg-deb --contents) 来列出它们的内容。
Traceback (most recent call last):
File "/usr/bin/py3clean", line 182, in <module>
main()
File "/usr/bin/py3clean", line 168, in main
pfiles = set(dpf.from_package(options.package))
File "/usr/share/python3/debpython/files.py", line 53, in from_package
raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of unity-lens-photos
error running python rtupdate hook unity-lens-photos
dpkg: error processing python3 (--configure):
子进程 已安装 post-installation 脚本 返回了错误号 4
dpkg: dependency problems prevent configuration of python3-apt:
python3-apt 依赖于 python3 (>= 3.2.3-3~);然而:
软件包 python3 尚未配置。
python3-apt 依赖于 python3 (<< 3.3);然而:
软件包 python3 尚未配置。

dpkg: error processing python3-apt (--configure):
依赖关系问题 - 仍未被配置
因为错误消息指示这是由于上一个问题导致的错误,没有写入 apport 报告。
在处理时有错误发生:
python3
python3-apt
E: Sub-process /usr/bin/dpkg returned an error code (1)
头像
zhydyhm
帖子: 426
注册时间: 2008-10-19 10:38
送出感谢: 0
接收感谢: 0

Re: 求助:python3-apt: 依赖关系问题 - 仍未被配置,怎么解决???

#4

帖子 zhydyhm » 2013-04-21 19:40

求助,以上怎么为?? :em18
newzxl
帖子: 35
注册时间: 2009-07-10 16:56
系统: ubuntu
送出感谢: 0
接收感谢: 3 次

Re: 求助:python3-apt: 依赖关系问题 - 仍未被配置,怎么解决???

#5

帖子 newzxl » 2013-04-21 20:37

喜闻乐见,这 bug 还没修复,楼主可以买彩票了。

找到一个2012年的帖子解决办法,就在#31楼。不知道能不能解决。如果解决问题请记得在帖子题目前加上[关闭]

这里下载三个包

python3_3.2.3-3ubuntu1_all.deb
python3-all_3.2.3-3ubuntu1_all.deb
python3-minimal_3.2.3-3ubuntu1_all.deb

然后 cd 到下载目录

代码: 全选

sudo dpkg -i python*.deb
头像
zhydyhm
帖子: 426
注册时间: 2008-10-19 10:38
送出感谢: 0
接收感谢: 0

Re: 求助:python3-apt: 依赖关系问题 - 仍未被配置,怎么解决???

#6

帖子 zhydyhm » 2013-04-22 18:21

安装了上面那三个包,还是一样,没有好,在安装上面那三个包的时候也跳出来了那样的错误,失望
回复

回到 “老旧版本支持”